!!M Inlines.f
!!S Settings
	subroutine ctlDimItem ( theDialog , theItem )
	
	implicit none
	
!!SETC USINGINCLUDES = .FALSE.
	Include	'TYPES.F'
	Include 'QUICKDRAW.F'
	Include 'TEXTEDIT.F'
	Include	'DIALOGS.F'

	INCLUDE 'Constants.inc'
	INCLUDE 'common.inc'

	integer*2 theItem
	
	Record /DialogRecord/ theDialog
	Pointer /PatPtr/ patHandle
	record /Rect/ box
	integer*4 itemHandle , grayRgn , selRgn
	integer*2 ItemType , index , i
	
	index = theDialog.editField + 2 - SetPointNum !Items are consecutively numbered
	patHandle = GetPattern ( %val(int2(16)) )
	call PenPat ( %val(patHandle^.PPTR) )
	call PenMode ( %val(int2(patBic)) )
	do i = SetPointID , SNPRateID
		if ( ctlBadVal(i) ) then
			if ( i .eq. index ) then
				grayRgn = NewRgn ()
				call RectRgn ( %val(grayRgn) , NumBox(i) )
				selRgn = NewRgn ()
				call RectRgn ( %val(selRgn) , theDialog.textH.TEH^.TEP^.selRect )
				call DiffRgn ( %val(grayRgn) , %val(selRgn) , %val(grayRgn) )
				call PaintRgn ( %val(grayRgn) )
			else
				call PaintRect ( NumBox(i) )
			end if
		end if
	end do
	call PenNormal
	
	return
	end

